using System;

namespace KoloryWPF.Model
{
    //atrapa
    public static class Ustawienia
    {
        //magazyn
        public static byte r = 0;
        public static byte g = 128;
        public static byte b = 255;

        public static Kolor Czytaj()
        {
            return new Kolor(r, g, b);
        }

        public static void Zapisz(Kolor kolor)
        {
            r = kolor.R;
            g = kolor.G;
            b = kolor.B;
        }
    }

    /*
    static class Ustawienia
    {
        public static Kolor Czytaj()
        {
            Properties.Settings ustawienia = Properties.Settings.Default;
            return new Kolor(ustawienia.R, ustawienia.G, ustawienia.B);
        }

        public static void Zapisz(Kolor kolor)
        {
            Properties.Settings ustawienia = Properties.Settings.Default;
            ustawienia.R = kolor.R;
            ustawienia.G = kolor.G;
            ustawienia.B = kolor.B;
            ustawienia.Save();
        }
    }
    */
}
